# Replace an RGB display

`PUT https://api.parklio.com/v2/rgb-displays/{id}`

Fully replaces an RGB display's configuration, including its name, default message, and source zones. The provided sourceZoneIds list completely replaces the existing source zones

**Auth:** `Authorization: Bearer <token>`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | number | yes | The ID of the RGB display to replace |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string | yes | The display name of the RGB display. Must be between 3 and 255 characters. |
| `source_zone_ids` | number[] | yes | The list of zone ids that will fully replace this RGB display's current source zones. |
| `default_message` | string | yes | The default message shown on the display when no conditional rule matches. Supports placeholders: `{free}` (current free spots) and `{total}` (total zone capacity). |

```json
{
  "name": "RGB Display name",
  "source_zone_ids": [
    1,
    2,
    3
  ],
  "default_message": "{free} FREE"
}
```

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "id": 1,
    "name": "RGB Display name",
    "status": "online",
    "last_seen": "2026-01-15T09:30:00.000Z",
    "total_occupied_count": 12,
    "total_spot_count": 20,
    "serial_number": "RGB Display serial number",
    "default_message": "{free} FREE",
    "zone_id": 1,
    "lot_id": 1,
    "rules": [
      {
        "id": 1,
        "name": "Low availability",
        "operator": "gt",
        "occupied_value": 5,
        "occupied_value_to": 10,
        "display_text": "{free} FREE",
        "order": 0,
        "start_time": "2026-01-15T09:30:00.000Z",
        "end_time": "2026-01-15T09:30:00.000Z"
      }
    ],
    "source_zones": [
      {
        "id": 1,
        "name": "Low availability",
        "operator": "gt",
        "occupied_value": 5,
        "occupied_value_to": 10,
        "display_text": "{free} FREE",
        "order": 0,
        "start_time": "2026-01-15T09:30:00.000Z",
        "end_time": "2026-01-15T09:30:00.000Z"
      }
    ],
    "created_at": "2026-01-15T09:30:00.000Z",
    "updated_at": "2026-01-15T09:30:00.000Z"
  }
}
```

